#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	common
%define	pnam	sense
Summary:	common::sense - save a tree AND a kitten, use common::sense!
Summary(pl.UTF-8):	common::sense - zdroworozsądkowe ustawienia domyślne dla programów w Perlu
Name:		perl-common-sense
Version:	3.74
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	35b273147200c4c95eef7816f83e572d
URL:		http://search.cpan.org/dist/common-sense/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements some sane defaults for Perl programs, as
defined by two typical (or not so typical - use your common sense)
specimens of Perl coders.

%description -l pl.UTF-8
Moduł ten implementuje pewne zdroworozsądkowe ustawienia domyślne dla
programów perlowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/common/sense.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%dir %{perl_vendorarch}/common
%{perl_vendorarch}/common/sense.pm
%{_mandir}/man3/common::sense.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-common-sense.git;a=log;h=d294aa81c9eba1226fb24d69210e5c2c95dacd74

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d294aa8
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 6943b78
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 6fd8ed5
- release 6

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> 1370e2b
- release 5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7866cca
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 40da099
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 23a652a
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Wed Jan 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 6da5d00
- updated to 3.74

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7f18443
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0617f20
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> ba8aa2a
- rel 3

* Tue Sep 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 170c929
- no longer noarch; release 2

* Tue Sep 09 2014 Jakub Bogusz <qboosh@pld-linux.org> d1410f7
- updated to 3.73

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> c9c0e18
- updated to 3.6

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> ca6dc7b
- updated to 3.5

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> c559a2f
- updated to 3.4
- noarch, no CC/CFLAGS, fixed URL

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1ef452c
- fixed broken cvs keywords

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> 89818cc
- updated to 3.0

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> cc62b2e
- added missing %dir in %files section
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 7c9ecb3
- updated to 2.01

